RagTime5StyleManagerInternal::GraphicFieldParser Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
RagTime5StyleManagerInternal::GraphicFieldParser Struct Referencefinal

Internal: the helper to read field graphic field for a RagTime5StyleManager. More...

Inheritance diagram for RagTime5StyleManagerInternal::GraphicFieldParser:

## Public Member Functions
| GraphicFieldParser (std::vector< MWAWColor > const &colorList)
| constructor More...
| ~GraphicFieldParser () final
| destructor More...
std::string | getZoneName (int n) const final
| return the debug name corresponding to a field More...
bool | parseHeaderField (RagTime5StructManager::Field &field, RagTime5Zone &zone, int n, libmwaw::DebugStream &f) final
| parse a header field More...
bool | parseField (RagTime5StructManager::Field &field, RagTime5Zone &zone, int n, libmwaw::DebugStream &f) final
| parse a field More...
Public Member Functions inherited from RagTime5StructManager::FieldParser
| FieldParser (std::string const &zoneName)
| constructor More...
virtual | ~FieldParser ()
| destructor More...
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone More...

## Public Attributes
std::vector< MWAWColor > const & | m_colorsList
std::vector< RagTime5StyleManager::GraphicStyle > | m_styleList
| the list of graphic style More...
Public Attributes inherited from RagTime5StructManager::FieldParser
bool | m_regroupFields
| a flag use to decide if we output one debug message by field or not More...

## Additional Inherited Members
Protected Attributes inherited from RagTime5StructManager::FieldParser
std::string | m_name
| the field name More...

## Detailed Description

Internal: the helper to read field graphic field for a RagTime5StyleManager.

## Constructor & Destructor Documentation

## ◆ GraphicFieldParser()

RagTime5StyleManagerInternal::GraphicFieldParser::GraphicFieldParser | ( | std::vector< MWAWColor > const & | colorList | ) |
| inlineexplicit

constructor

## ◆ ~GraphicFieldParser()

RagTime5StyleManagerInternal::GraphicFieldParser::~GraphicFieldParser | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ getZoneName()

std::string RagTime5StyleManagerInternal::GraphicFieldParser::getZoneName | ( | int | n | ) | const
| inlinefinalvirtual

return the debug name corresponding to a field

Reimplemented from RagTime5StructManager::FieldParser.

## ◆ parseField()

bool RagTime5StyleManagerInternal::GraphicFieldParser::parseField | ( | RagTime5StructManager::Field & | field,
|  | RagTime5Zone & | zone,
|  | int | n,
|  | libmwaw::DebugStream & | f
| ) |  |
| inlinefinalvirtual

parse a field

Reimplemented from RagTime5StructManager::FieldParser.

## ◆ parseHeaderField()

bool RagTime5StyleManagerInternal::GraphicFieldParser::parseHeaderField | ( | RagTime5StructManager::Field & | field,
|  | RagTime5Zone & | zone,
|  | int | n,
|  | libmwaw::DebugStream & | f
| ) |  |
| inlinefinalvirtual

parse a header field

Reimplemented from RagTime5StructManager::FieldParser.

## Member Data Documentation

## ◆ m_colorsList

std::vector<MWAWColor> const& RagTime5StyleManagerInternal::GraphicFieldParser::m_colorsList

## ◆ m_styleList

std::vector<RagTime5StyleManager::GraphicStyle> RagTime5StyleManagerInternal::GraphicFieldParser::m_styleList

the list of graphic style

Referenced by RagTime5StyleManager::readGraphicStyles().

The documentation for this struct was generated from the following file:

- RagTime5StyleManager.cxx